Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.util.ui
Class TextFieldButton

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--rj.tools.util.ui.TextFieldButton

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class TextFieldButton
extends javax.swing.JPanel

`TextFieldButton is a JTextField widget with a browse button Example for typical usage: // listener for action event from mTextFieldButton an instance of TextFieldButton public void actionPerformed(ActionEvent e) { if (e.getActionCommand().equals(TextFieldButton.AC_BUTTON)) { final SomeDialog sd = new SomeDialog(); // some selection happens here sd.setActionListener(new ActionListener() { public void actionPerformed(ActionEvent e) { // update what is displayed in the textfield of the TextFieldButton mTextFieldButton.setObject(((SomeDialog) e.getSource()).getSelection()); sd.dispose(); } }); } sd.pack(); sd.setVisible(true); }`

Version:
  $Revision: 1.8 $
Author:
  Ralph Jocham
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TextFieldButton()` Creates a new `TextFieldButton` instance.
`TextFieldButton(int number)` Creates a new `TextFieldButton` instance.
`TextFieldButton(java.lang.String text)` Creates a new `TextFieldButton` instance.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)` `addActionListener`
`void` | `addFocusListener(java.awt.event.FocusListener listener)` Passing on the listeneres to the components in the JPanel
`void` | `addMouseListener(java.awt.event.MouseListener listener)` Passing on the listeneres to the components in the JPanel
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent e)` `fireActionPerformed` - called when an action has happened, either on the TextField or on the Button.
`javax.swing.text.Document` | `getDocument()` Return the document used by the underlying JTextField
`java.lang.String` | `getText()` `getObject`
`void` | `removeActionListener(java.awt.event.ActionListener l)` `removeActionListener`
`void` | `removeFocusListerner(java.awt.event.FocusListener listener)` Passing on the listeneres to the components in the JPanel
`void` | `removeMouseListerner(java.awt.event.MouseListener listener)` Passing on the listeneres to the components in the JPanel
`void` | `setDocument(javax.swing.text.Document document)` Set the document for the underlying JTextField
`void` | `setEnabled(boolean flag)` Enabling the components in the JPanel
`void` | `setText(java.lang.String text)` `setObject`
`void` | `setToolTipText(java.lang.String text)` Registers the text to display in a tool tip.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextFieldButton

    public TextFieldButton()

  Creates a new `TextFieldButton` instance.

### TextFieldButton

    public TextFieldButton(java.lang.String text)

  Creates a new `TextFieldButton` instance.
  Parameters:
    `text` - an `String`

### TextFieldButton

    public TextFieldButton(int number)

  Creates a new `TextFieldButton` instance.
  Parameters:
    `number` - an `int`

Method Detail

### setText

    public void setText(java.lang.String text)

  `setObject`
  Parameters:
    `text` - an `String`

### getText

    public java.lang.String getText()

  `getObject`
  Returns:
    an `String` value

### setDocument

    public void setDocument(javax.swing.text.Document document)

  Set the document for the underlying JTextField
  Parameters:
    `document` -
  See Also:
    `JTextComponent.setDocument(javax.swing.text.Document)`

### getDocument

    public javax.swing.text.Document getDocument()

  Return the document used by the underlying JTextField
  Returns:
    Document
  See Also:
    `JTextComponent.getDocument()`

### setEnabled

    public void setEnabled(boolean flag)

  Enabling the components in the JPanel
  Overrides:
    `setEnabled` in class `javax.swing.JComponent`
  Parameters:
    `flag` - a `boolean` value
  See Also:
    `JComponent`

### setToolTipText

    public void setToolTipText(java.lang.String text)

  Registers the text to display in a tool tip. The text displays when the cursor lingers over the component.

  See How to Use Tool Tips in The Java Tutorial for further documentation.

  Overrides:
    `setToolTipText` in class `javax.swing.JComponent`
  Parameters:
    `text` - the string to display; if the text is `null`, the tool tip is turned off for this component
  See Also:
    `JComponent.TOOL_TIP_TEXT_KEY`

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  `addActionListener`
  Parameters:
    `l` - an `ActionListener`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  `removeActionListener`
  Parameters:
    `l` - an `ActionListener`

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent e)

  `fireActionPerformed` - called when an action has happened, either on the TextField or on the Button. Using the getActionCommand method on the ActionEvent it can be determined which was the source. AC_BUTTON = button action, AC_TEXTFIELD = text field action.
  Parameters:
    `e` - an `ActionEvent`

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener listener)

  Passing on the listeneres to the components in the JPanel
  Overrides:
    `addMouseListener` in class `java.awt.Component`
  Parameters:
    `listener` - a `MouseListener` value
  See Also:
    `Component`

### removeMouseListerner

    public void removeMouseListerner(java.awt.event.MouseListener listener)

  Passing on the listeneres to the components in the JPanel
  Parameters:
    `listener` - a `MouseListener` value
  See Also:
    `Component`

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener listener)

  Passing on the listeneres to the components in the JPanel
  Overrides:
    `addFocusListener` in class `java.awt.Component`
  Parameters:
    `listener` - a `FocusListener` value
  See Also:
    `Component`

### removeFocusListerner

    public void removeFocusListerner(java.awt.event.FocusListener listener)

  Passing on the listeneres to the components in the JPanel
  Parameters:
    `listener` - a `FocusListener` value
  See Also:
    `Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License